PicoSpeaker
Orginally Written by Kyle and forked by shilber01 to work with SNIPS
(snips.ai)

DESCRIPTION

PicoSpeaker is a program written in Python that speaks text on its
command line or standard input using SVox Pico and Sox. Speech rate,
pitch, volume and language can be specified, and output can be saved to
any file format supported by Sox.

LICENSE INFO

This is perhaps the only license agreement you will never have to
read. PicoSpeaker is free and unencumbered software released into the
public domain. See the included UNLICENSE file if you really want to. SVox
Pico and Sox are covered by their own open source licenses and copyrights,
and are therefore not covered by the UNLICENSE included with PicoSpeaker.

REQUIREMENTS

PicoSpeaker uses SVox Pico to produce speech audio data and Sox to
control rate, pitch and volume and to output the speech either to the
sound device or to a specified output file. These packages must be
installed on your system in order to have full functionality.

SVox Pico can be found on Debian and Ubuntu systems in several packages
beginning with libttspico..., e.g. libttspico0, libttspico-data and
libttspico-utils. On Arch Linux, search the Arch User Repository for
svox-pico-git and install using the PKGBUILD. Other systems have their
own names for the SVox Pico TTS engine, but not every distro has it
yet. Check your package repositories for availability.

Sox is a wellknown audio processing package available on most Linux/Unix
systems. If you have access to the "play" and "rec" commands, you
already have Sox. If not, install the sox package using your distro's
package manager.

INSTALLATION

Simply copy the picospeaker script file into your path and be sure the
file has read and execute permissions.

sudo install -m 755 picospeaker /usr/bin

should do it in a single command.

USAGE

picospeaker [options] <text>

Options:
-l|--language <language>	Language to be spoken: (default is en-US)
-v|--volume <number>	Output volume: (default is 1.0)
-r|--rate <number>	Rate of speech from -90 to 9900: (default is 0)
-p|--pitch <number>	Voice pitch from -79 to 39: (default is 0)
-o|--output <filename>	Output to the specified file: (default is sound
card output)
-c|--compress|-q|--quality <number>	Compression/quality level of
output file, depends on output file format
	This option causes an error if no output file is specified.
-t|--type <type>	Save output file as <type>. Use only if saving
with a nonstandard extension.
	This option causes an error if no output file is specified.
-V|--version	Print version information
-h|--help|-u|--usage	Print help message
